## root root — 'root' formatting object |

## Synopsis

                        FoRoot;
                        FoRootClass;
    FoFo*               fo_root_new                         (void);

    FoProperty*         fo_root_get_media_usage             (FoFo *fo_fo);
    void                fo_root_set_media_usage             (FoFo *fo_fo,
                                                             FoProperty *new_media_usage);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoRoot

## Properties

      "media-usage"              FoProperty*           : Read

## Description

Definition: http://www.w3.org/TR/xsl11/#fo_root

## Details

### FoRoot

    typedef struct _FoRoot FoRoot;

### FoRootClass

    typedef struct _FoRootClass FoRootClass;

### fo_root_new ()

    FoFo*               fo_root_new                         (void);

Creates a new FoRoot initialized to default value.

Returns : | the new FoRoot.

### fo_root_get_media_usage ()

    FoProperty*         fo_root_get_media_usage             (FoFo *fo_fo);

Gets the "media-usage" property of `fo_fo`.

`fo_fo` : | The FoFo object.
Returns : | The "media-usage" property value.

### fo_root_set_media_usage ()

    void                fo_root_set_media_usage             (FoFo *fo_fo,
                                                             FoProperty *new_media_usage);

Sets the "media-usage" property of `fo_fo` to `new_media_usage`.

`fo_fo` : | The FoFo object.
`new_media_usage` : | The new "media-usage" property value.

## Property Details

### The `"media-usage"` property

      "media-usage"              FoProperty*           : Read

Media Usage property.